@import url("https://fonts.googleapis.com/css2?family=Asap:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Tilt+Neon&display=swap");

:root {
  --primary-color: #ffffff;
  --Navbar-color: #e8f1e3;
  --black-color: #000000;
  --main-color: #019833;
  --secondary-color: #0eee59;
}
* {
  font-family: "Asap", sans-serif;
  box-sizing: border-box;
  margin: 0;
}
h1,
h2,
h3,
h4,
h5 {
  font-family: "Tilt Neon", sans-serif;
}
p {
  margin-bottom: 0 !important;
}
a {
  text-decoration: none !important;
}
.header-color {
  background-color: var(--main-color);
}
.border-main {
  border: 2px solid var(--main-color);
  border-radius: 6px;
}
@media screen and (min-width: 768px) and (max-width: 1025px) {
  .border-main h5 {
    height: 3rem;
  }
}
.call-mail-icon p a {
  color: var(--primary-color);
}
.main-color {
  color: var(--main-color);
}
.navbar-background {
  background-color: var(--Navbar-color);
}
textarea{
  resize: none;
}
.navbar {
  background-color: var(--Navbar-color);
  color: var(--main-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
 
}
header {
  width: 100%;
  position: sticky;
  top: 0;
  z-index: 100;
  height: auto;
}

@media (max-width: 768px) {
  .header-call-mail {
    display: none;
  }
}
.menu {
  display: flex;
  gap: 1.5rem;
}
.menu a {
  color: var(--main-color);
  text-decoration: none;
  font-weight: 600;
  font-size: 1.1rem;
  transition: all 0.3s ease;
  position: relative;
}
.menu a.active,
.menu li a.active,
.sidebar a.active,
.sidebar li a.active {
  border-radius: 6px;
  padding: 0.5rem;
  border: 2px solid var(--main-color);
}

.hamburger {
  display: none;
  cursor: pointer;
}
.sidebar {
  position: fixed;
  top: 8rem;
  right: 0;
  width: 60%;
  background-color: var(--Navbar-color);
  padding: 1rem;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  z-index: 1000;
  height: calc(100% - 8rem);
}
.sidebar a,
.sidebar li a {
  text-decoration: none;
  font-size: 1.4rem;
  font-weight: 600;
  transition: all 0.3s ease;
  color: var(--main-color);
}
@media (max-width: 768px) {
  .navbar {
    padding: 0;
  }
  .menu {
    display: none;
  }
  .hamburger {
    display: block;
  }
  .sidebar.active {
    display: flex;
  }
  .call-mail-icon {
    display: none !important;
  }
  .sidebar-icon img {
    width: 25px;
    height: 25px;
  }
  .sidebar-icon p {
    font-size: 1.3rem !important;
  }
}
.background-banner {
  background: url(../img/backgroundHome.webp);
  background-repeat: no-repeat;
  margin: 1rem 0;
  background-size: cover;
}
.border-center {
  border: 1px solid var(--main-color);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.5rem;
}

.border-center img {
  width: 100%;
  height: 80px;
}

/* footer section */
footer {
  background-color: var(--main-color);
}
.copyright-section {
  border-top: 2px solid var(--primary-color);
}

.footer-social p img {
  width: 28px;
}
.footer-social p img:hover,
.footer-social img:hover {
  transform: scale(1.1);
}
.footer-social img {
  width: 20px;
  height: 20px;
}

footer a {
  text-decoration: none;
}
footer a,
footer h3,
footer p {
  color: var(--primary-color);
}
a sup {
  font-size: 0.6rem;
}
@media (max-width: 576px) {
  .copyright-section {
    flex-direction: column !important;
    justify-content: center;
    align-items: center;
  }
  .copyright-section p {
    padding: 0.2rem 0 !important;
  }
}

/* home slider  */

#width-100 {
  width: 100%;
}

/* contact page */
.button-color {
  border-radius: 3rem;
  border: none;
  color: var(--primary-color);
  background-color: var(--main-color);
}
.contact-form-bg {
  background-color: var(--Navbar-color);
}

form {
  background-color: var(--primary-color);
  border-radius: 20px;
  border: 1px solid var(--main-color);
}
form input,
form textarea {
  width: 80%;
  height: 3rem;
  border: none;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  border-radius: 20px;
  background-color: var(--Navbar-color);
}
form input.fname-field {
  width: 40%;
}
form textarea {
  height: 5rem !important;
}
.error {
  color: red;
}
.success {
  color: green;
}
.contact-box {
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.5);
  padding: 0.7rem;
  border-radius: 6px;
  background-color: var(--Navbar-color);
  width: 100%;
}
/* 
// about us start */
.about-img img {
  width: 90%;
  height: 300px;
}

.about-img img:hover {
  transform: scale(0.95);
}
.buttons {
  gap: 10px;
  margin-bottom: 20px;
}
.buttons button {
  padding: 0.8rem 1.5rem;
  cursor: pointer;
  border: none;
  background-color: var(--Navbar-color);
  border-radius: 6px;
}
.buttons button.active {
  background-color: var(--main-color);
  color: var(--primary-color);
}
.content {
  display: none;
}
.content.active {
  display: block;
}

@media (max-width: 576px) {
  .buttons button {
    padding: 0.2rem 0.6rem;
  }
}

/* stats count home page */
.stats-section {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 2rem;
  padding: 2rem;
  text-align: center;
}
.stat-box h2 {
  font-weight: 700;
  color: var(--secondary-color);
}

/* home page */
.excellence {
  border: 2px solid var(--primary-color);
  background-color: var(--main-color);
  border-radius: 6px;
}
.bg-img {
  background-image: linear-gradient(
      rgba(35, 35, 35, 0.6),
      rgba(51, 50, 50, 0.6)
    ),
    url("../img/home/bgImg.webp");

  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* scrapRates start */
#scrapContainer {
  background-color: var(--Navbar-color);
}
.category-card {
  background-color: var(--main-color);
  color: var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.5rem;
  border-radius: 6px;
  flex-direction: column;
  cursor: pointer;
}
.subcategory-card {
  border-radius: 6px;
  background-color: var(--primary-color);
  padding: 0.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
}
.products {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 15px;
}
.subcategory-card h5 {
  color: var(--main-color);
}
.subcategory-card img,
.category-card img {
  width: 4rem;
  height: 4rem;
}

/* //modal start */
.faq-container {
  padding: 0 0.7rem;
}
@media (max-width: 412px) {
  .faq-container {
    padding: 0 1.2rem !important;
  }
}

.modal.fade.show {
  display: flex !important;
  justify-content: center;
  align-items: center;
}

.modal-body {
  height: 600px;
  overflow-y: auto;
}

.floating-buttons {
    position: fixed;
    bottom: 2rem; 
    right: 1rem;  
    display: flex;
    flex-direction: column;
    gap: 0.5rem;  
    z-index: 1;
}
.social-media {
  height: 4rem;
  width: 4rem;
  border: none;
  border-radius: 50%;
  margin: 0.5rem;
  background-color: var(--Navbar-color);
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid var(--main-color);
}